package com.pixelized.shared.lwa.model.map

import kotlinx.serialization.Serializable

@Serializable
data class MapJsonV1(
    override val id: String,
    val name: String,
    val camera: Camera,
    val size: Size,
    val resources: List<Resource>,
) : MapJson {
    @Serializable
    data class Camera(
        val zoom: Float,
        val offsetX: Int,
        val offsetY: Int,
    )

    @Serializable
    data class Size(
        val width: Int,
        val height: Int,
    )

    @Serializable
    data class Resource(
        val id: String,
        val name: String,
        val uri: String,
    )
}